LIBRARY IEEE;
USE  IEEE.STD_LOGIC_1164.ALL;
ENTITY Clockdiv IS PORT (
	Clk25Mhz: IN	STD_LOGIC;
	Clk: OUT STD_LOGIC);
END Clockdiv;
ARCHITECTURE Behavior OF Clockdiv IS
--	CONSTANT max: INTEGER := 1000;     -- minimum to debounce switch 
--	CONSTANT max: INTEGER := 5000000;  -- good to see FSM states
--	CONSTANT max: INTEGER := 10000000; -- 10000000; = 1sec
	CONSTANT max: INTEGER := 1000000;
	CONSTANT half: INTEGER := max/2;
	SIGNAL count: INTEGER RANGE 0 TO max;
BEGIN
	PROCESS
	BEGIN
		WAIT UNTIL Clk25Mhz'EVENT and Clk25Mhz = '1';
		IF count < max THEN
			count <= count + 1;
		ELSE
			count <= 0;
		END IF;
		IF count < half THEN
			Clk <= '0';
		ELSE
			Clk <= '1';
		END IF;
	END PROCESS;
END Behavior;
